Bug 658 - XFCom X driver for NeoMagic shows only 6 bits
XFCom X driver for NeoMagic shows only 6 bits
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1998-12-30 17:37 EST by sitongia
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1998-12-31 09:11:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description sitongia 1998-12-30 17:37:05 EST
Neomagic doesn't provide support.  I've posted to
comp.os.linux.x, and no one has answered, so I hope
you don't mind this submission.

System: IBM Thinkpad 380Z, RedHat 5.1, plus Neomagic XFCom X

The X server installed is:

The X server I installed says it is 8bpp, but has this weird
of (from xdpyinfo):

significant bits in color specification: 6 bits

This seems to be limiting apps to 6 bits of color, even
though the server
appears to be in 8 bpp PseudoColor mode.

I think I understand what the "color specification" would be
TrueColor, but why is it different from the depth the server
is set to
for PseudoColor?

Comment 1 Jay Turner 1998-12-31 09:11:59 EST
There should be another line in the xdpyinfo display showing the color
depth for the screen that you are using.  This is where you should
find "8" as it relates to the color depth you are running.  The "6
bits" spec that you are referring to references the number of
significant bits in the color specification, and not the color depth
of the screen.

Note You need to log in before you can comment on or make changes to this bug.